ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Functions
LibItsSecurity__EncdecDeclarations Namespace Reference

## Functions
BITSTRING | fx__enc__CertificateBase (IEEE1609dot2::CertificateBase const &p_cert)
INTEGER | fx__dec__CertificateBase (BITSTRING &b, IEEE1609dot2::CertificateBase &p_cert)
BITSTRING | fx__enc__ToBeSignedCertificate (const IEEE1609dot2::ToBeSignedCertificate &p_toBeSignedCertificate)
BITSTRING | fx__enc__Ieee1609Dot2Data (const IEEE1609dot2::Ieee1609Dot2Data &p__ieee1609Dot2Data)
INTEGER | fx__dec__Ieee1609Dot2Data (BITSTRING &p__data, IEEE1609dot2::Ieee1609Dot2Data &p__ieee1609Dot2Data)
BITSTRING | fx__enc__Ieee1609Dot2ToBeSignedData (const IEEE1609dot2::ToBeSignedData &p__toBeSignedData)
INTEGER | fx__dec__Ieee1609Dot2ToBeSignedData (BITSTRING &p__data, IEEE1609dot2::ToBeSignedData &p__toBeSignedData)
BITSTRING | fx__enc__SspCAM (const LibItsSecurity__TypesAndValues::SspCAM &p__ssp)
INTEGER | fx__dec__SspCAM (BITSTRING &p__data, LibItsSecurity__TypesAndValues::SspCAM &p__ssp)
BITSTRING | fx__enc__SspDENM (const LibItsSecurity__TypesAndValues::SspDENM &p__ssp)
INTEGER | fx__dec__SspDENM (BITSTRING &p__data, LibItsSecurity__TypesAndValues::SspDENM &p__ssp)

## Function Documentation

## ◆ fx__dec__CertificateBase()

INTEGER LibItsSecurity__EncdecDeclarations::fx__dec__CertificateBase | ( | BITSTRING & | b,
|  | IEEE1609dot2::CertificateBase & | p_cert
| ) |  |

## ◆ fx__dec__Ieee1609Dot2Data()

INTEGER LibItsSecurity__EncdecDeclarations::fx__dec__Ieee1609Dot2Data | ( | BITSTRING & | p__data,
|  | IEEE1609dot2::Ieee1609Dot2Data & | p__ieee1609Dot2Data
| ) |  |

## ◆ fx__dec__Ieee1609Dot2ToBeSignedData()

INTEGER LibItsSecurity__EncdecDeclarations::fx__dec__Ieee1609Dot2ToBeSignedData | ( | BITSTRING & | p__data,
|  | IEEE1609dot2::ToBeSignedData & | p__toBeSignedData
| ) |  |

## ◆ fx__dec__SspCAM()

INTEGER LibItsSecurity__EncdecDeclarations::fx__dec__SspCAM | ( | BITSTRING & | p__data,
|  | LibItsSecurity__TypesAndValues::SspCAM & | p__ssp
| ) |  |

## ◆ fx__dec__SspDENM()

INTEGER LibItsSecurity__EncdecDeclarations::fx__dec__SspDENM | ( | BITSTRING & | p__data,
|  | LibItsSecurity__TypesAndValues::SspDENM & | p__ssp
| ) |  |

## ◆ fx__enc__CertificateBase()

BITSTRING LibItsSecurity__EncdecDeclarations::fx__enc__CertificateBase | ( | IEEE1609dot2::CertificateBase const & | p_cert | ) |

## ◆ fx__enc__Ieee1609Dot2Data()

BITSTRING LibItsSecurity__EncdecDeclarations::fx__enc__Ieee1609Dot2Data | ( | const IEEE1609dot2::Ieee1609Dot2Data & | p__ieee1609Dot2Data | ) |

## ◆ fx__enc__Ieee1609Dot2ToBeSignedData()

BITSTRING LibItsSecurity__EncdecDeclarations::fx__enc__Ieee1609Dot2ToBeSignedData | ( | const IEEE1609dot2::ToBeSignedData & | p__toBeSignedData | ) |

## ◆ fx__enc__SspCAM()

BITSTRING LibItsSecurity__EncdecDeclarations::fx__enc__SspCAM | ( | const LibItsSecurity__TypesAndValues::SspCAM & | p__ssp | ) |

## ◆ fx__enc__SspDENM()

BITSTRING LibItsSecurity__EncdecDeclarations::fx__enc__SspDENM | ( | const LibItsSecurity__TypesAndValues::SspDENM & | p__ssp | ) |

## ◆ fx__enc__ToBeSignedCertificate()

BITSTRING LibItsSecurity__EncdecDeclarations::fx__enc__ToBeSignedCertificate | ( | const IEEE1609dot2::ToBeSignedCertificate & | p_toBeSignedCertificate | ) |